Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora Linux 37 est disponible !

#1 30/11/2021 08:10:59

Hardelot
Membre
Lieu : 62510 ARQUES
Inscription : 02/08/2019
Messages : 702
Site Web

Mozilla VPN

Salut tout le monde,

Comment installer en Lignes de commande mozillavpn ?

Hors ligne

#2 09/12/2021 10:50:46

sokotar
Membre
Lieu : Euskal Herri
Inscription : 05/08/2005
Messages : 878

Re : Mozilla VPN

Bonjour Hardelot

Je vois que tu n'as pas eu beaucoup de succès dans ta recherche ...
Je pensais installer le VPN Mozilla, mais la longue liste des prérequis me fait beaucoup hésiter :

- Qt5 >= 5.15.0
- libpolkit-gobject-1-dev >=0.105
- wireguard >=1.0.20200513
- wireguard-tools >=1.0.20200513
- resolvconf >= 1.82
- golang >= 1.13
- python >= 3.6

Certains modules sont présents de base sur Fedora 35, certains sont dispos sur les dépôts Fedora.
Mais pour d'autres c'est pas évident :
- libpolkit-gobject n'est pas dispo en rpm
- wireguard-tools est dispo, mais wireguard ?

As tu pu avancer sur ce VPN ?

Michel

Hors ligne

#3 09/12/2021 11:05:56

VINDICATORs
RédactWikix and the graphicatorix!
Modérateur
Lieu : Toulouse(31) France
Inscription : 23/11/2004
Messages : 18 984
Site Web

Re : Mozilla VPN

En cherchant un minimum libpolkit-gobject est dans libpolkit-libs.

 dnf provides *libpolkit-gobject*
Dernière vérification de l’expiration des métadonnées effectuée il y a 1 day, 0:28:12 le mer. 08 déc. 2021 09:32:52.
polkit-devel-0.118-3.fc35.i686 : Development files for polkit
Dépôt               : fedora
Correspondances trouvées dans  :
Autre  : *libpolkit-gobject*

polkit-devel-0.118-3.fc35.x86_64 : Development files for polkit
Dépôt               : fedora
Correspondances trouvées dans  :
Autre  : *libpolkit-gobject*

polkit-devel-0.120-1.fc35.i686 : Development files for polkit
Dépôt               : updates
Correspondances trouvées dans  :
Autre  : *libpolkit-gobject*

polkit-devel-0.120-1.fc35.x86_64 : Development files for polkit
Dépôt               : updates
Correspondances trouvées dans  :
Autre  : *libpolkit-gobject*

polkit-libs-0.118-3.fc35.i686 : Libraries for polkit
Dépôt               : fedora
Correspondances trouvées dans  :
Provide    : libpolkit-gobject-1.so.0

polkit-libs-0.118-3.fc35.x86_64 : Libraries for polkit
Dépôt               : fedora
Correspondances trouvées dans  :
Provide    : libpolkit-gobject-1.so.0()(64bit)

polkit-libs-0.120-1.fc35.i686 : Libraries for polkit
Dépôt               : updates
Correspondances trouvées dans  :
Provide    : libpolkit-gobject-1.so.0

polkit-libs-0.120-1.fc35.x86_64 : Libraries for polkit
Dépôt               : @System
Correspondances trouvées dans  :
Provide    : libpolkit-gobject-1.so.0()(64bit)

polkit-libs-0.120-1.fc35.x86_64 : Libraries for polkit
Dépôt               : updates
Correspondances trouvées dans  :
Provide    : libpolkit-gobject-1.so.0()(64bit)

Wireguard est inclus dans le noyau et donc inutile d'installer autre chose.

On peut installer un VPN avec l'interface fourni par les environnements graphique et/ou utiliser la commande "nmcli" : https://fedoramagazine.org/configure-wi … rkmanager/

A voir si cela fonctionne pour les VPN commerciaux.


AMD R7 5800x X470 64Go DDR4 3.6Ghz, RX5700XT+AMD R7 2700x A320 + 32Go DDR4 3.2Ghz, rx6500xt 4Go
AMD R5 2600 A320, 32Go DDR4 2.9Ghz,1030GT 2Go + AMD A6 9500 A320, 16Go DDR4 2.1Ghz
ARM Rpi4 4Go, à venir Pine64 2xQuartzB 2/4Go

Hors ligne

#4 09/12/2021 22:03:09

sokotar
Membre
Lieu : Euskal Herri
Inscription : 05/08/2005
Messages : 878

Re : Mozilla VPN

VINDICATORs a écrit :

En cherchant un minimum libpolkit-gobject est dans libpolkit-libs.

ok, autant pour moi ...

VINDICATORs a écrit :

Wireguard est inclus dans le noyau et donc inutile d'installer autre chose.

Bien je vais me lancer, et je ferais un retour.

Merci.

Hors ligne

Pied de page des forums